@tailwind base;
@tailwind components;
@tailwind utilities;

@keyframes new-message-animation {
    0% {
        opacity: 0;
        max-height: 0;
        padding-top: 0;
        padding-bottom: 0;
    }

    100% {
        opacity: 1;
        padding-top: 16px;
        padding-bottom: 16px;
        max-height: 20vh;
    }
}

.new-message-animation {
    overflow: hidden;
    animation: new-message-animation 1s;
}

@keyframes upvote-animation {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

.upvote-animation {
    animation: upvote-animation 500ms;
}
